> ## Documentation Index
> Fetch the complete documentation index at: https://docs.handle.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Payment & Generate RRR

> Initiate a dynamic merchant biller payment with custom fields and generate an RRR invoice reference.

Initiate an institutional biller payment and dynamically generate a Remita Retrieval Reference (RRR) along with a `paymentIdentifier` for instant settlement.

### Successful Response

```json theme={null}
{
  "status": "00",
  "message": "Approved or completed successfully",
  "data": {
    "amount": 1000,
    "paymentIdentifier": "890201735906",
    "rrr": "250799679337"
  }
}
```


## OpenAPI

````yaml remita_openapi.json POST /biller/initiate
openapi: 3.0.3
info:
  title: Remita (SystemSpecs) VAS & Collection API
  description: >-
    Interactive API specification for Remita / SystemSpecs Connect Gateway VAS
    Vending, Utilities, and RRR Biller Collections.
  version: 1.0.0
servers:
  - url: https://api-demo.systemspecsng.com/services/connect-gateway/api/v1
    description: Sandbox / Demo Environment (UAT)
  - url: https://api-gateway.remita.net/api/v1
    description: Production Live Environment
security:
  - SecretKey: []
paths:
  /biller/initiate:
    post:
      summary: Initiate Payment & Generate RRR
      description: >-
        Initiate a dynamic merchant biller payment with custom fields and
        generate an RRR invoice reference.
      operationId: initiateBillerPayment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - billerId
                - billPaymentProductId
                - amount
                - currency
                - payerName
                - payerEmail
                - payerPhone
                - clientReference
              properties:
                billerId:
                  type: string
                  default: SPECSELECTRICITY
                  example: SPECSELECTRICITY
                billPaymentProductId:
                  type: string
                  default: '9676615755'
                  example: '9676615755'
                amount:
                  type: number
                  default: 1000
                  example: 1000
                currency:
                  type: string
                  default: NGN
                  example: NGN
                payerName:
                  type: string
                  default: Ayodeji Peters
                  example: Ayodeji Peters
                payerEmail:
                  type: string
                  default: ayodeji@example.com
                  example: ayodeji@example.com
                payerPhone:
                  type: string
                  default: '08012345678'
                  example: '08012345678'
                clientReference:
                  type: string
                  default: init_hdl_1790800000
                  example: init_hdl_1790800000
                customFields:
                  type: array
                  items:
                    type: object
                    properties:
                      variable_name:
                        type: string
                        example: account_number
                      value:
                        type: string
                        example: '0219927013063'
      responses:
        '200':
          description: Generated RRR and payment identifier
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: '00'
                  message:
                    type: string
                    example: RRR generated successfully
                  data:
                    type: object
                    properties:
                      rrr:
                        type: string
                        example: '220799679350'
                      paymentIdentifier:
                        type: string
                        example: init_hdl_1790800000
                      amount:
                        type: number
                        example: 1000
                      billerName:
                        type: string
                        example: ABUJA ELECTRICITY DISTRIBUTION COMPANY
                      serviceTypeName:
                        type: string
                        example: AEDC Prepaid
              example:
                status: '00'
                message: RRR generated successfully
                data:
                  rrr: '220799679350'
                  paymentIdentifier: init_hdl_1790800000
                  amount: 1000
                  billerName: ABUJA ELECTRICITY DISTRIBUTION COMPANY
                  serviceTypeName: AEDC Prepaid
components:
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: secretKey
      description: SystemSpecs Demo / Live Secret Key
      x-default: sk_test_l/pQgOLgziOTzb+7pcUXVH2iX1MlpROsePDkNi/g/QmMs2c8P0DPr1vUP7xESiGG

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.